更新记录

1.0.2(2021-11-02)

  • 升级最新SDK
  • 优化配置不成功提示

1.0.1(2021-09-23)

  • 升级android sdk 19.0.1
  • 增加getGaid
查看更多

平台兼容性

Android iOS
适用版本区间:5.0 - 11.0 适用版本区间:9 - 14

原生插件通用使用流程:

  1. 购买插件,选择该插件绑定的项目。
  2. 在HBuilderX里找到项目,在manifest的app原生插件配置中勾选模块,如需要填写参数则参考插件作者的文档添加。
  3. 根据插件作者的提供的文档开发代码,在代码中引用插件,调用插件功能。
  4. 打包自定义基座,选择插件,得到自定义基座,然后运行时选择自定义基座,进行log输出测试。
  5. 开发完毕后正式云打包

付费原生插件目前不支持离线打包。
Android 离线打包原生插件另见文档 https://nativesupport.dcloud.net.cn/NativePlugin/offline_package/android
iOS 离线打包原生插件另见文档 https://nativesupport.dcloud.net.cn/NativePlugin/offline_package/ios

注意事项:使用HBuilderX2.7.14以下版本,如果同一插件且同一appid下购买并绑定了多个包名,提交云打包界面提示包名绑定不一致时,需要在HBuilderX项目中manifest.json->“App原生插件配置”->”云端插件“列表中删除该插件重新选择


使用文档 (更多插件及问题,请加微信:zhuzheVIP1)

超级福利

说明

此插件提供 firebase-analytics 分析能力

使用前提

  • 注册账号
  • 创建 Firebase 项目
  • 将 Firebase 添加到您的 Android 应用,并下载配置文件 google-services.json
  • 将 Firebase 添加到您的 iOS 应用,并下载配置文件 GoogleService-Info.plist

配置插件请下载,iOS 的 GoogleService-Info.plist 直接替换即可,android 的 google-services.json 需转换成 xml 文件(请联系微信 zhuzheVIP1)

方法

  • logEvent

    统计事件

  • getGaid

    获取 gaid

使用

var analytics = uni.requireNativePlugin("sn-firebase-analytics");
// 统计
analytics.logEvent(
  {
    name: "select_content",
    params: {
      item_id: "1",
      item_name: "hello uni",
      content_type: "image",
    },
  },
  (e) => {
    console.log("logEvent", e);
  }
);
// 获取 gaid
analytics.getGaid((e) => {
  if (e.code == 0) {
    // e.gaid;
  }
});

常见问题

  • 统计需要 24 小时生效,如果需要实时测试,则需要开启 DebugView

隐私、权限声明

1. 本插件需要申请的系统权限列表:

2. 本插件采集的数据、发送的服务器地址、以及数据用途说明:

插件不采集任何数据

3. 本插件是否包含广告,如包含需详细说明广告表达方式、展示频率:

使用中有什么不明白的地方,就向插件作者提问吧~ 我要提问